Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class SortSpecification

    java.lang.Object
      oracle.ifs.common.SortSpecification

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class SortSpecification

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The SortSpecification class is used to specify a sort order for operations that can be sorted, such as opening a folder. This is typically a set of attribute names and a boolean that represents either ascending or descending.

See Also:
  Serialized Form
(Published)

Field Summary
`protected java.lang.String` | `m_DefaultAlias`
`protected java.lang.String` | `m_DefaultClass`
`protected boolean` | `m_LiterallySpecified`
`protected java.lang.String` | `m_OrderByClause`
`protected boolean` | `m_Resolved`
`protected java.util.Vector` | `m_SortSpecs`

Constructor Summary
`SortSpecification()` Default constructor.
`SortSpecification(java.lang.String orderBy)` Construct a SortSpecification with a literal order by clause.

Method Summary
`void` | `addSortQualifier(SortQualifier sortqual)` Add a SortQualifier.
`void` | `addSortQualifier(java.lang.String sortAttribute, boolean sortOrder)` Add a simple SortQualifier.
`java.lang.String` | `getDefaultAlias()` Return the Default alias setting.
`java.lang.String` | `getDefaultClass()` Return the Default Class setting.
`java.lang.String` | `getOrderByClause(LibrarySessionInterface sess)` Returns the SQL order by clause that corresponds to this SortSpecification.
`SortQualifier[]` | `getSortQualifiers()` Returns the current set of SortQualifers as an array.
`void` | `resolve(LibrarySessionInterface sess)` Resolve the SortSpecificaton and verify that the setting are legal for the specified classes.
`void` | `setDefaultAlias(java.lang.String defAlias)` Set the Default Alias.
`void` | `setDefaultClass(java.lang.String defClass)` set the Default Class.
`static void` | `sortByClassId(LibraryObjectDefinition[] sort)`
`static void` | `sortByClassId(LibraryObjectInterface[] sort)`
`static void` | `sortById(LibraryObjectInterface[] sort)`
`static void` | `sortByLongvalue(java.lang.Long[] sort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_SortSpecs

    protected java.util.Vector m_SortSpecs

(Unpublished)

### m_DefaultClass

    protected java.lang.String m_DefaultClass

(Unpublished)

### m_DefaultAlias

    protected java.lang.String m_DefaultAlias

(Unpublished)

### m_OrderByClause

    protected java.lang.String m_OrderByClause

(Unpublished)

### m_Resolved

    protected boolean m_Resolved

(Unpublished)

### m_LiterallySpecified

    protected boolean m_LiterallySpecified

(Unpublished)

Constructor Detail

### SortSpecification

    public SortSpecification()

  Default constructor.

  (Published)

### SortSpecification

    public SortSpecification(java.lang.String orderBy)

  Construct a SortSpecification with a literal order by clause.

  Parameters:
    `orderBy` - the order by clause
  (Published)

Method Detail

### addSortQualifier

    public void addSortQualifier(java.lang.String sortAttribute,
                                 boolean sortOrder)
                          throws IfsException

  Description copied from class: `SortSpecification`
  Add a simple SortQualifier.

  Parameters:
    `sortAttribute` - the sort attribute name
    `sortOrder` - the corresponding sort order; if true, sort order of ascending (asc) is used. if false, descending (desc) sort order is used.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### addSortQualifier

    public void addSortQualifier(SortQualifier sortqual)
                          throws IfsException

  Description copied from class: `SortSpecification`
  Add a SortQualifier.

  Parameters:
    `sortqual` - the sort qualifier
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setDefaultClass

    public void setDefaultClass(java.lang.String defClass)
                         throws IfsException

  Description copied from class: `SortSpecification`
  set the Default Class.

  Parameters:
    `defClass` - the Default Class name.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDefaultClass

    public java.lang.String getDefaultClass()
                                     throws IfsException

  Description copied from class: `SortSpecification`
  Return the Default Class setting.

  Returns:
    the Default Class setting.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setDefaultAlias

    public void setDefaultAlias(java.lang.String defAlias)
                         throws IfsException

  Description copied from class: `SortSpecification`
  Set the Default Alias.

  Parameters:
    `defAlias` - the alias.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getDefaultAlias

    public java.lang.String getDefaultAlias()
                                     throws IfsException

  Description copied from class: `SortSpecification`
  Return the Default alias setting.

  Returns:
    the Default alias setting.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getSortQualifiers

    public SortQualifier[] getSortQualifiers()
                                      throws IfsException

  Description copied from class: `SortSpecification`
  Returns the current set of SortQualifers as an array.

  Returns:
    the SortQualifers set on this instance
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getOrderByClause

    public java.lang.String getOrderByClause(LibrarySessionInterface sess)
                                      throws IfsException

  Description copied from class: `SortSpecification`
  Returns the SQL order by clause that corresponds to this SortSpecification.

  Parameters:
    `sess` - the session context
  Returns:
    the SQL order by clause.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### resolve

    public void resolve(LibrarySessionInterface sess)
                 throws IfsException

  Description copied from class: `SortSpecification`
  Resolve the SortSpecificaton and verify that the setting are legal for the specified classes. If the class names were not specified explicitly in the addSortSpecification() method calls, the default Class must be set prior to invoking this method.

  Parameters:
    `sess` - the session context
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### sortByLongvalue

    public static void sortByLongvalue(java.lang.Long[] sort)

  (Unpublished)

### sortById

    public static void sortById(LibraryObjectInterface[] sort)
                         throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### sortByClassId

    public static void sortByClassId(LibraryObjectInterface[] sort)
                              throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### sortByClassId

    public static void sortByClassId(LibraryObjectDefinition[] sort)
                              throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD